
![Pub Version (including pre-releases)](https://img.shields.io/pub/v/v_components?label=v_components&labelColor=%23307750)

---

[![Static Badge](https://img.shields.io/badge/base_flutter_sdk-3.13.5-%23cd0000?logo=flutter)](https://docs.flutter.dev/release/archive?tab=windows)    [![style: effective dart](https://img.shields.io/badge/style-effective_dart-%23cd0000?logo=dart&link=https%3A%2F%2Fgithub.com%2Ftenhobi%2Feffective_dart&link=https%3A%2F%2Fgithub.com%2Ftenhobi%2Feffective_dart)](https://pub.dev/packages/effective_dart)

---


##### v-components 是一个超级可定制且易于使用组件库。您可以轻松定制预想的各种组件样式。

> 请注意：`+系列版本` 都是精简版，特用于跨海项目,详情请点击[精简组件](https://vicky_wzp.gitee.io/flutter_notes/V-Components/simplify_components.md)。

完整的组件<span style="font-size:12px;color:#999999;">（点击查看相关文档）</span>主要包含：


<table border="1" style="font-size:13px;">
    <tr>
      <th align="left">分类</th>   <!-- 左对齐 -->
      <th align="center">组件</th> <!-- 居中对其（默认）-->
      <th align="center">功能/子组件/说明</th>  <!-- 右对齐-->
    </tr>
    <tr>
      <td rowspan="7">表单类</td>
      <td rowspan="2"> 
        <a href="https://vicky_wzp.gitee.io/flutter_notes/V-Components/VButton.md">
          <img alt="Static Badge" src="https://img.shields.io/badge/component-VButton-%23cd0000?labelColor=%23307750&color=%23fe8f00&link=https%3A%2F%2Fvicky_wzp.gitee.io%2Fflutter_notes%2FV-Components%2FVAlter.readme">
        </a>       
      </td>
      <td style="font-size:13px;">基于text的button</td>
    </tr>
    <tr>
      <td>基础button</td>
    </tr>
    <!-- cell -->
    <tr>
      <td >
        <a href="https://vicky_wzp.gitee.io/flutter_notes/V-Components/VCell.md">
          <img alt="Static Badge" src="https://img.shields.io/badge/component-VCell-%23cd0000?labelColor=%23307750&color=%23fe8f00&link=https%3A%2F%2Fvicky_wzp.gitee.io%2Fflutter_notes%2FV-Components%2FVAlter.readme">
        </a>
      </td>
      <td > 
        -
      </td>
    </tr>  
    <!-- field -->
    <tr>
      <td >
        <a href="https://vicky_wzp.gitee.io/flutter_notes/V-Components/VField.md">
          <img alt="Static Badge" src="https://img.shields.io/badge/component-VField-%23cd0000?labelColor=%23307750&color=%23fe8f00&link=https%3A%2F%2Fvicky_wzp.gitee.io%2Fflutter_notes%2FV-Components%2FVAlter.readme"/>
        </a>
      </td>
      <td > 
        -
      </td>
    </tr> 
    <tr>
      <td >
        <a href="https://vicky_wzp.gitee.io/flutter_notes/V-Components/VSearch.md">
          <img alt="Static Badge" src="https://img.shields.io/badge/component-VSearch-%23cd0000?labelColor=%23307750&color=%23fe8f00&link=https%3A%2F%2Fvicky_wzp.gitee.io%2Fflutter_notes%2FV-Components%2FVAlter.readme">
        </a>
      </td>
      <td > 
        -
      </td>
    </tr> 
    <tr>
      <td>
        <a href="https://vicky_wzp.gitee.io/flutter_notes/V-Components/VRoundCheckBox.md">
          <img alt="Static Badge" src="https://img.shields.io/badge/component-VTimeFilter-%23cd0000?style=plastic&labelColor=%23307750&color=%23fe8f00">
        </a> 
      </td>
      <td>-</td>
    </tr>
    <tr>
      <td>
        <a href="https://vicky_wzp.gitee.io/flutter_notes/V-Components/VTimeFilter.md">
          <img alt="Static Badge" src="https://img.shields.io/badge/component-VRoundCheckBox-%23cd0000?style=plastic&labelColor=%23307750&color=%23fe8f00">
        </a> 
      </td>
      <td>-</td>
    </tr>
<!---------- 反馈类组件-------------------- -->
    <tr>
      <td rowspan="5">交互类</td>
      <td > 
        <a href="https://vicky_wzp.gitee.io/flutter_notes/V-Components/VAlter.md">
          <img alt="Static Badge" src="https://img.shields.io/badge/component-VAlter-%23cd0000?style=plastic&labelColor=%23307750&color=%23fe8f00&link=https%3A%2F%2Fvicky_wzp.gitee.io%2Fflutter_notes%2FV-Components%2FVAlter.readme">
        </a>       
      </td>
      <td style="font-size:13px;">-</td>
    </tr>
    <tr>
      <td > 
        <a href="https://vicky_wzp.gitee.io/flutter_notes/V-Components/VDropMenu.md">
          <img alt="Static Badge" src="https://img.shields.io/badge/component-VDropMenu-%23cd0000?style=plastic&labelColor=%23307750&color=%23fe8f00" />
        </a>       
      </td>
      <td style="font-size:13px;">-</td>
    </tr>
    <tr>
      <td > 
        <a href="https://vicky_wzp.gitee.io/flutter_notes/V-Components/VCascadePickerView.md">
          <img alt="Static Badge" src="https://img.shields.io/badge/component-VCascadePickerView-%23cd0000?style=plastic&labelColor=%23307750&color=%23fe8f00">
        </a>       
      </td>
      <td style="font-size:13px;">-</td>
    </tr>
    <tr>
      <td > 
        <a href="https://vicky_wzp.gitee.io/flutter_notes/V-Components/VPopMenus.md">
          <img alt="Static Badge" src="https://img.shields.io/badge/component-VPopMenus-%23cd0000?style=plastic&labelColor=%23307750&color=%23fe8f00"/>
        </a>       
      </td>
      <td style="font-size:13px;">-</td>
    </tr>
    <tr>
      <td > 
        <a href="https://vicky_wzp.gitee.io/flutter_notes/V-Components/EasyPopup.md">
          <img alt="Static Badge" src="https://img.shields.io/badge/component-EasyPopup-%23cd0000?style=plastic&labelColor=%23307750&color=%23fe8f00"/>
        </a>       
      </td>
      <td style="font-size:13px;">-</td>
    </tr>
    <!-- ----------展示类组件----------- -->
    <tr>
      <td rowspan="5">展示类</td>
      <td > 
        <a href="https://vicky_wzp.gitee.io/flutter_notes/V-Components/FullScreenAppBar.md">
          <img alt="Static Badge" src="https://img.shields.io/badge/component-FullScreenAppBar-%23cd0000?style=plastic&labelColor=%23307750&color=%23fe8f00">
        </a>       
      </td>
      <td style="font-size:13px;">-</td>
    </tr>
    <tr>
      <td>
        <a href="https://vicky_wzp.gitee.io/flutter_notes/V-Components/VEmptyView.md">
          <img alt="Static Badge" src="https://img.shields.io/badge/component-VEmptyView-%23cd0000?style=plastic&labelColor=%23307750&color=%23fe8f00">
        </a> 
      </td>
      <td>-</td>
    </tr>
    <tr>
      <td>
        <a href="https://vicky_wzp.gitee.io/flutter_notes/V-Components/VRefreshView.md">
          <img alt="Static Badge" src="https://img.shields.io/badge/component-VRefreshView-%23cd0000?style=plastic&labelColor=%23307750&color=%23fe8f00">
        </a> 
      </td>
      <td>
        <ul>
          <li>请求的自定义，依赖：  <a href="https://pub-web.flutter-io.cn/packages/v_base_framework"><img alt="Pub Version (including pre-releases)" src="https://img.shields.io/pub/v/v_base_framework?label=v_base_framework&labelColor=%23307750&color=%234659ff">
          </a> 
          </li>
          <li>处理了分页相关逻辑，使用时只需要关注数据渲染就完事了</li>
        <ul>
      </td>
    </tr>
    <tr>
      <td>
        <a href="https://vicky_wzp.gitee.io/flutter_notes/V-Components/VStepper.md">
          <img alt="Static Badge" src="https://img.shields.io/badge/component-VStepper-%23cd0000?style=plastic&labelColor=%23307750&color=%23fe8f00"/>
        </a> 
      </td>
      <td>
      </td>
    </tr>
    <tr>
      <td>
        <a href="https://vicky_wzp.gitee.io/flutter_notes/V-Components/VTopTabBarModel.md">
         <img alt="Static Badge" src="https://img.shields.io/badge/component-VTopTabBarModel-%23cd0000?style=plastic&labelColor=%23307750&color=%23fe8f00">
        </a> 
      </td>
      <td>
      </td>
    </tr>
    <!-- ----------展示类组件----------- -->
    <tr>
      <td rowspan="1">图片类</td>
      <td > 
        <a href="https://vicky_wzp.gitee.io/flutter_notes/V-Components/AssetsPickerUtils.md">
          <img alt="Static Badge" src="https://img.shields.io/badge/component-AssetsPickerUtils-%23cd0000?style=plastic&labelColor=%23307750&color=%23fe8f00"/>
        </a>       
      </td>
      <td style="font-size:13px;">
        <ul>
          <li>仿微信的图片选择封装</li>
          <li>可定制主题</li>
          <li>可配置是否需要相机</li>
          <li>高级的--> eg:视频、音频等请联系作者</li>
        <ul>
      </td>
    </tr>
</table>









## 如何贡献
- 如果您想为这个组件做出贡献！我将自豪地强调您是我的合作者之一。这里有一些你可以贡献并使其变得更好的地方。
  - 发现任何bug或者您有任何的功能需求请您提交`issue`。
  - 如果您有兴趣可以提交任何`pull request`。
  - 给wzp_623301600@163.com发邮件
- 在线等您的任何贡献中...
## 版本兼容性
请查看 `CHANGELOG` 查看版本迭代情况。


## 作者
This v-components package for Flutter is developed by ![Static Badge](https://img.shields.io/badge/wzp_vicky-x?color=%234659ff). You can contact me at `wzp_623301600@163.com`。

