import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter/src/widgets/framework.dart';
import 'package:v_base_framework/page/base_page.dart';
import 'package:v_base_framework/widget/appbar_helper.dart';
import 'package:v_components/widgets/button/button_widget.dart';

class ButtonDemo extends BasePage {
  @override
  CommonBasePageState<BasePage> createBaseState() => _ButtonState();
}

class _ButtonState extends CommonBasePageState<ButtonDemo> {
  @override
  Widget buildPageWidget(BuildContext context) {
    return Scaffold(
      appBar: CommonAppbarUtil.getAppBar(context,
        appBarBackgroundColor: "#0389fa", title: "button",
      ),
      body: SingleChildScrollView(
        padding: const EdgeInsets.only(top:20,left: 20,right: 20),
        child: Column(

          children:  [
            VTextButton(text: "注册",bgColor:"#0389fa",onPressed: (){},),
            const SizedBox(height: 20),
            VTextButton(text: "登录",onPressed: (){})
          ],
        ),
      ),
    );
  }

  @override
  void initBaseParams() {
    // TODO: implement initBaseParams
  }

  @override
  void initPageData() {
    // TODO: implement initPageData
  }
}