import 'package:flutter/material.dart';
import 'package:flutter/src/widgets/framework.dart';
import 'package:v_base_framework/page/base_page.dart';
import 'package:v_base_framework/widget/appbar_helper.dart';
import 'package:v_components/widgets/tabbar/tabbar_widget.dart';
import 'package:v_components/widgets/filter/filter_widget.dart';
import '../tabbar_demo/tabbar_page_alive.dart';

class TimeFilterDemo extends BasePage {
  @override
  CommonBasePageState<BasePage> createBaseState() => _TimeFilterDemoState();
}

class _TimeFilterDemoState extends CommonBasePageState<TimeFilterDemo> {
  @override
  Widget buildPageWidget(BuildContext context) {
    return Scaffold(
        appBar: CommonAppbarUtil.getAppBar(
          context,
          appBarBackgroundColor: "#0389fa",
          title: "filter",
        ),
        body: Column(
          children: [
            Container(
              height: 50,
              color: Colors.deepPurple,
            ),
            VTimeFilter(
              (msg){
                debugPrint("------------------3==");
              },
              children: [
                VTopTabBar(
                  tabModelArr: model, tabTitle: tabTitle,
                ),
              ],
              timeFilterSelect: (value){
                // debugPrint(value);
              },

            ),
          ],
        ));
  }

  List<VTopTabBarModel> model = [
    VTopTabBarModel(title: '视频', widget: HomeContent2(title: "视频")),
    VTopTabBarModel(title: '推荐', widget: HomeContent2(title: "推荐")),
    VTopTabBarModel(title: '直播', widget: HomeContent2(title: "直播")),
    VTopTabBarModel(title: 'NBA', widget: HomeContent2(title: "NBA")),
    VTopTabBarModel(title: 'CBA', widget: HomeContent2(title: "CBA")),
    VTopTabBarModel(title: '排球', widget: HomeContent2(title: "排球")),
    VTopTabBarModel(title: '世界杯', widget: HomeContent2(title: "世界杯")),
    VTopTabBarModel(title: '足球', widget: HomeContent2(title: "足球")),
  ];
  List<String> tabTitle = [
    '视频',
    '推荐',
    '直播',
    'NBA',
    'CBA',
    '排球',
    '世界杯',
    '足球',
  ];
  @override
  void initBaseParams() {
    // TODO: implement initBaseParams
  }

  @override
  void initPageData() {
    // TODO: implement initPageData
  }
}
