import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter/src/widgets/framework.dart';
import 'package:get/get.dart';
import 'package:v_base_framework/page/base_page.dart';
import 'package:v_base_framework/utils/toast.dart';
import 'package:v_base_framework/widget/appbar_helper.dart';
import 'package:v_components/widgets/empty/empty_widget.dart';


class EmptyDemo4 extends BasePage {
  @override
  CommonBasePageState<BasePage> createBaseState() => _EmptyState();
}

class _EmptyState extends CommonBasePageState<EmptyDemo4> {
  @override
  Widget buildPageWidget(BuildContext context) {
    return Scaffold(
      appBar:CommonAppbarUtil.getAppBar(context,title: '网络错误-默认'),
      body:  VEmptyView(
        type: EmptyType.error,
        clickCallBack: () {
          debugPrint('点击重新加载');
          ToastUtils.toast('点击重新加载');
        },
      ),
    );
  }

  @override
  void initBaseParams() {
    // TODO: implement initBaseParams
  }

  @override
  void initPageData() {
    // TODO: implement initPageData
  }
}
