import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter/src/widgets/framework.dart';
import 'package:get/get.dart';
import 'package:v_base_framework/page/base_page.dart';
import 'package:v_base_framework/widget/appbar_helper.dart';
import 'package:v_components/widgets/cell/cell_widget.dart';
import 'demos/empty1.dart';
import 'demos/empty2.dart';
import 'demos/empty3.dart';
import 'demos/empty4.dart';
import 'demos/empty5.dart';

class EmptyDemos extends BasePage {

  @override
  CommonBasePageState<BasePage> createBaseState() => _EmptyState();
}

class _EmptyState extends CommonBasePageState<EmptyDemos> {
  @override
  Widget buildPageWidget(BuildContext context) {
    return Scaffold(
      appBar:CommonAppbarUtil.getAppBar(context,title: 'empty'),
      body: Column(
        children: [
          VCell(
              title: '空数据',
              value: '默认',
              textAlign: TextAlign.right,
              clickCallBack: () {
                Get.to(EmptyDemo1());
              }),
          VCell(
              title: '空数据',
              value: '只有图片',
              textAlign: TextAlign.right,
              clickCallBack: () {
                Get.to(EmptyDemo2());
              }),
          VCell(
              title: '空数据',
              value: '只有文字',
              textAlign: TextAlign.right,
              clickCallBack: () {
                Get.to(EmptyDemo3());
              }),
          VCell(
              title: '网络错误',
              value: '默认',
              textAlign: TextAlign.right,
              clickCallBack: () {
                Get.to(EmptyDemo4());
              }),
          VCell(
              title: '网络错误',
              value: '自定义',
              textAlign: TextAlign.right,
              clickCallBack: () {
                Get.to(EmptyDemo5());
              }),
        ],
      ),
    );
  }

  @override
  void initBaseParams() {
    // TODO: implement initBaseParams
  }

  @override
  void initPageData() {
    // TODO: implement initPageData
  }
}
