import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:v_base_framework/page/base_page.dart';
import 'package:v_base_framework/widget/appbar_helper.dart';
import 'package:v_components/widgets/step/VStepper.dart';

class StepperDemo extends BasePage {
  @override
  CommonBasePageState<BasePage> createBaseState() => _StepperState();
}

class _StepperState extends CommonBasePageState<StepperDemo> {
  @override
  Widget buildPageWidget(BuildContext context) {
    return Scaffold(
      appBar: CommonAppbarUtil.getAppBar(
        context,
        appBarBackgroundColor: "#0389fa",
        title: "stepper",
      ),
      body: VStepper(
          circleDiameter: 15,
          lineWidth: 2,
          circleMargin: 10,
          lightIndex: -1,
          isOnlyLightCircle: false,
          titleLineHeight: 20),
    );
  }

  @override
  void initBaseParams() {
    // TODO: implement initBaseParams
  }

  @override
  void initPageData() {
    // TODO: implement initPageData
  }
}
