import 'package:flutter/material.dart';
import 'package:flutter/src/widgets/framework.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:v_base_framework/page/base_page_keepalive.dart';

// class HomeContent2 extends ConsumerStatefulWidget {
class HomeContent2 extends BasePage {
  final String? title;

  HomeContent2({this.title});

  @override
  CommonBasePageState<BasePage> createBaseState() => _homeState();

  // @override
  // ConsumerState<HomeContent2> createState() => _homeState();
}

class _homeState extends CommonBasePageState<HomeContent2> {
// class _homeState extends CommonBasePageState<HomeContent2> {
  //

  List listData = [
    {
      "title": "title1",
      "phone": "111xxxx",
      "content": "content1-content1-content1-content1-ccontent1-content1",
      "imageUrl": "https://gitee.com/iotjh/Picture/raw/master/lufei.png"
    },
    {
      "title": "title2",
      "phone": "222xxxx",
      "content": "content2-content2-content2-content2-content2-content2",
      "imageUrl": "https://gitee.com/iotjh/Picture/raw/master/lufei.png"
    },
    {
      "title": "title3",
      "phone": "333xxxx",
      "content": "content3-content3-content3-content3-content3-content3",
      "imageUrl": "https://gitee.com/iotjh/Picture/raw/master/lufei.png"
    },
    {
      "title": "title4",
      "phone": "444xxxx",
      "content": "content4-content4-content4-content4-content4-content4",
      "imageUrl": "https://gitee.com/iotjh/Picture/raw/master/lufei.png"
    },
    {
      "title": "title5",
      "phone": "555xxxx",
      "content": "content5-content5-content5-content5-content5-content5",
      "imageUrl": "https://gitee.com/iotjh/Picture/raw/master/lufei.png"
    },
    {
      "title": "title6",
      "phone": "666xxxx",
      "content": "content6-content6-content6-content6-content6-content6",
      "imageUrl": "https://gitee.com/iotjh/Picture/raw/master/lufei.png"
    },
    {
      "title": "title7",
      "phone": "777xxxx",
      "content": "content7-content7-content7-content7-content7-content7",
      "imageUrl": "https://gitee.com/iotjh/Picture/raw/master/lufei.png"
    },
    {
      "title": "title7",
      "phone": "777xxxx",
      "content": "content7-content7-content7-content7-content7-content7",
      "imageUrl": "https://gitee.com/iotjh/Picture/raw/master/lufei.png"
    },
    {
      "title": "title7",
      "phone": "777xxxx",
      "content": "content7-content7-content7-content7-content7-content7",
      "imageUrl": "https://gitee.com/iotjh/Picture/raw/master/lufei.png"
    },
    {
      "title": "title7",
      "phone": "777xxxx",
      "content": "content7-content7-content7-content7-content7-content7",
      "imageUrl": "https://gitee.com/iotjh/Picture/raw/master/lufei.png"
    },
    {
      "title": "title7",
      "phone": "777xxxx",
      "content": "content7-content7-content7-content7-content7-content7",
      "imageUrl": "https://gitee.com/iotjh/Picture/raw/master/lufei.png"
    },
    {
      "title": "title7",
      "phone": "777xxxx",
      "content": "content7-content7-content7-content7-content7-content7",
      "imageUrl": "https://gitee.com/iotjh/Picture/raw/master/lufei.png"
    },
    {
      "title": "title7",
      "phone": "777xxxx",
      "content": "content7-content7-content7-content7-content7-content7",
      "imageUrl": "https://gitee.com/iotjh/Picture/raw/master/lufei.png"
    }
  ];

  Widget _getListData(context, index) {
    return ListTile(
      title: Text(widget.title!),
      leading: Image.network(listData[index]['imageUrl']),
      subtitle: Text(listData[index]['content']),
      onTap: () {
        debugPrint('点击的index' + index.toString());
      },
    );
  }

  @override
  Widget buildPageWidget(BuildContext context) {
    debugPrint("buildPageWidget子");

    return ListView.builder(
        itemCount: listData.length, itemBuilder: this._getListData);
  }

  @override
  void initBaseParams() {
  }

  @override
  void initPageData() {
  }


}
