import 'package:example/demos/dropdownmenu_demo/timeFilter_demo.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:v_base_framework/page/base_page.dart';
import 'package:v_base_framework/widget/appbar_helper.dart';
import 'package:v_components/widgets/cell/cell_widget.dart';

import 'filter_demo.dart';

class DropDownLevel1 extends BasePage {
  @override
  CommonBasePageState<BasePage> createBaseState() => _DropDownState();
}

class _DropDownState extends CommonBasePageState<DropDownLevel1> {


  @override
  Widget buildPageWidget(BuildContext context) {
    return Scaffold(
      appBar: CommonAppbarUtil.getAppBar(
        context,
        appBarBackgroundColor: "#0389fa",
        title: "dropdownmenu_demos",
      ),
      body: Column(
        children: [
          VCell(
              title: 'picker',
              clickCallBack: () {
                Get.to(FilterDemo());
              }),
          VCell(
              title: '时间+搜索+过滤',
              value: "跟小程序里面的那个组件功能一样",
              textStyle: TextStyle(
                fontSize: 10
              ),
              textAlign: TextAlign.right,
              clickCallBack: () {
                Get.to(TimeFilterDemo());
              }),
        ],
      ),
    );
  }

  @override
  void initBaseParams() {}

  @override
  void initPageData() {}
}
