import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter/src/widgets/framework.dart';
import 'package:v_base_framework/page/base_page.dart';
import 'package:v_base_framework/widget/appbar_helper.dart';
import 'package:v_components/widgets/cell/cell_widget.dart';
import 'package:v_components/widgets/picker/picker_widget.dart';

class CascadePickerDemo extends BasePage {
  @override
  CommonBasePageState<BasePage> createBaseState() => _CellState();
}

class _CellState extends CommonBasePageState<CascadePickerDemo> {
  final List titleData = [
    'JhCascadePicker-单列',
    'JhCascadePicker-两列',
    'JhCascadePicker-三列',
    'JhCascadePicker-四列',
    'JhCascadePicker-五列',
  ];

  final columnData1 = [
    {'value': '1', 'label': '大类1'},
    {'value': '2', 'label': '大类2'},
    {'value': '3', 'label': '大类3'},
    {'value': '4', 'label': '大类4'},
  ];
  @override
  Widget buildPageWidget(BuildContext context) {
    List dataArr1 = [columnData1];

    return Scaffold(
      appBar: CommonAppbarUtil.getAppBar(context,
        appBarBackgroundColor: "#0389fa", title: "picker",
      ),
      body: Column(
        children:  [
          VCell(
            title: '单列',
            value: 'text靠右',
            textAlign: TextAlign.right,
            clickCallBack: (){
              VCascadePicker.show(context, data: dataArr1, labelKey: 'label', title: '请选择类型', tabText: '请选择2',
                  clickCallBack: (selectValue) {
                    print(selectValue);
                    // ToastUtils.toast(selectValue);
                  });
            },
          ),
        ],
      ),
    );
  }

  @override
  void initBaseParams() {
    // TODO: implement initBaseParams
  }

  @override
  void initPageData() {
    // TODO: implement initPageData
  }
}