import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter/src/widgets/framework.dart';
import 'package:v_base_framework/page/base_page.dart';
import 'package:v_base_framework/widget/appbar_helper.dart';
import 'package:v_components/widgets/daydart/daydart.dart';

/// FileName day_dart_demo
///
/// @Author ThinkPad
/// @Date 2023/7/18 0:52
///
/// @Description TODO
///
///


class DaydartDemo extends BasePage {
  @override
  CommonBasePageState<BasePage> createBaseState() => _DaydartDemoState();
}

class _DaydartDemoState extends CommonBasePageState<DaydartDemo> {

  DayDart dayDart = DayDart('2023-06-21');

  @override
  void initBaseParams() {
    // TODO: implement initBaseParams
  }

  @override
  void initPageData() {
    // TODO: implement initPageData
  }


  @override
  Widget buildPageWidget(BuildContext context) {
    return Scaffold(
        appBar: CommonAppbarUtil.getAppBar(context,
        appBarBackgroundColor: "#0389fa", title: "daydart",
    ),
    body:Center(
      child: Column(
        children: [
          Text("我的原日期是6-21,他的星期是：${dayDart.week().toString()}"),
          Text("7天后是哪天-->：${dayDart.add(7, DayUnits.D).format('dd日MM月yyyy年')}"),
        ],
      ),
    ));
  }

}