import 'package:flutter/cupertino.dart';

/// Alert 类型
enum AlertType { error, success, info, warning, none }

/// Alert 动画类型
enum AnimationType { fromRight, fromLeft, fromTop, fromBottom, grow, shrink }

///按钮组的方向
enum ButtonsDirection { row, column }

//默认的alert跟手机的边距
const EdgeInsets defaultAlertPadding = EdgeInsets.symmetric(horizontal: 40.0, vertical: 24.0);

const String kImagePath = "assets/images";

typedef AlertAnimation = Widget Function(
  BuildContext context,
  Animation<double> animation,
  Animation<double> secondaryAnimation,
  Widget child,
);

//showGeneralDialog